Name:           qcomicbook
Version:        0.4.0 
Release:        %mkrel 4
Summary:        Comic book archive viewer
Source0:        %{name}-%{version}.tar.bz2
URL:            http://linux.bydg.org/~yogin/
Group:          File tools
License:        GPLv2+
Requires:       unzip
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:  desktop-file-utils
BuildRequires:  imagemagick
BuildRequires:  imlib2-devel
BuildRequires:  qt4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
QComicBook is a viewer for comic book archives containing jpeg/png 
images, which aims at convenience and simplicity. Features include:

    * automatic handling of archives
    * full-screen mode
    * two-pages mode and japanese mode
    * thumbnails view
    * page scaling (fit to window witdth/height, whole page)
    * mouse or keyboard navigation, whatever you prefer
    * bookmarks
    * and more... 

%prep
%setup -q
%{__perl} -pi -e 's|moc-qt4|%{qt4dir}/bin/moc|g' src/Makefile.{am,in}
%{__perl} -pi -e 's|with_Qt_dir/lib|with_Qt_dir/%{_lib}|' acinclude.m4
%{_bindir}/autoreconf --verbose --force --install

%{_bindir}/convert fedora/qcomicbook.png -resize 64x64 qcomicbook-64.png
%{_bindir}/convert fedora/qcomicbook.png -resize 16x16 qcomicbook-16.png

%{__cat} << EOF > %{name}.desktop
[Desktop Entry]
Name=QComicBook
Comment=Comic book archive viewer
Exec=%{_bindir}/%{name}
Icon=qcomicbook
Terminal=false
Type=Application
Categories=Graphics;Viewer;
EOF

%build
%{configure2_5x} \
  --with-Qt-dir=%{qt4dir} \
  --with-Qt-bin-dir=%{qt4dir}/bin \
  --with-Qt-lib-dir=%{qt4lib}
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%{__mkdir_p} %{buildroot}%{_datadir}/pixmaps
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
%{__install} -m 644 fedora/qcomicbook.png %{buildroot}%{_datadir}/pixmaps/qcomicbook.png
%{__install} -m 644 qcomicbook-16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/qcomicbook.png
%{__install} -m 644 fedora/qcomicbook.png  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/qcomicbook.png
%{__install} -m 644 qcomicbook-64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/qcomicbook.png

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{_bindir}/desktop-file-install --vendor mandriva       \
        --dir %{buildroot}%{_datadir}/applications      \
        %{name}.desktop

%clean 
%{__rm} -rf %{buildroot} 

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor

%files 
%defattr(-,root,root)
%doc AUTHORS README ChangeLog THANKS TODO
%{_bindir}/*
%{_datadir}/pixmaps/qcomicbook.png
%{_datadir}/icons/hicolor/16x16/apps/qcomicbook.png
%{_datadir}/icons/hicolor/32x32/apps/qcomicbook.png
%{_datadir}/icons/hicolor/64x64/apps/qcomicbook.png
%{_datadir}/%{name}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_mandir}/man?/*


%changelog
* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.0-4mdv2009.0
+ Revision: 259907
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.0-3mdv2009.0
+ Revision: 247756
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 107404
- require desktop-file-utils
- fix build to use Qt4
- fix menus and icons
- really fix BuildRequires
- fix BuildRequires

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version
    - new license policy
    - fix buildrequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Jul 02 2007 Funda Wang <fundawang@mandriva.org> 0.3.4-1mdv2008.0
+ Revision: 47150
- BR imlib
- New version


* Mon Aug 28 2006 Lenny Cartier <lenny@mandriva.com> 0.3.2-1mdv2007.0
- 0.3.2

* Thu Mar 09 2006 Lenny Cartier <lenny@mandriva.com> 0.2.7-1mdk
- 0.2.7

* Tue Nov 15 2005 Lenny Cartier <lenny@mandriva.com> 0.2.5-1mdk
- 0.2.5

* Tue Nov 01 2005 David Walluck <walluck@mandriva.org> 0.2.4-2mdk
- fix build on x86_64
- Requires: unzip
- fix 16x16 icon name (s/ong/png/)
- update summary/description

* Wed Oct 12 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.4-1mdk
- New version 0.2.4

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.3-2mdk
- fix buildrequires

* Sun Jul 10 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.3-1mdk
- New version 0.2.3

* Thu Jul 07 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.2-1mdk
- New version 0.2.2
- Include small and large icons

* Sat May 21 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.1-1mdk
- New version 0.2.1

* Thu Apr 07 2005 Eskild Hustvedt <eskild@mandrake.org> 0.1.7-1mdk
- New version 0.1.7

* Mon Mar 28 2005 Eskild Hustvedt <eskild@mandrake.org> 0.1.5-2mdk
- %%mkrel

* Wed Mar 09 2005 Eskild Hustvedt <eskild@mandrake.com> 0.1.5-1mdk
- Initial Mandrakelinux package

